datasets
Create datasets rows
Requires scopes: eval:write
POST
/
api
/
datasets
/
{id}
/
rows
Create datasets rows
curl --request POST \
--url https://evalgate.com/api/datasets/{id}/rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"input": true,
"expectedOutput": true,
"context": true,
"metadata": {},
"tags": [
"<string>"
],
"labels": {},
"split": "<string>",
"sourceType": "<string>",
"sourceRef": "<string>",
"sourceProvenance": {},
"reviewStatus": "rejected"
}
]
}
'import requests
url = "https://evalgate.com/api/datasets/{id}/rows"
payload = { "rows": [
{
"input": True,
"expectedOutput": True,
"context": True,
"metadata": {},
"tags": ["<string>"],
"labels": {},
"split": "<string>",
"sourceType": "<string>",
"sourceRef": "<string>",
"sourceProvenance": {},
"reviewStatus": "rejected"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [
{
input: true,
expectedOutput: true,
context: true,
metadata: {},
tags: ['<string>'],
labels: {},
split: '<string>',
sourceType: '<string>',
sourceRef: '<string>',
sourceProvenance: {},
reviewStatus: 'rejected'
}
]
})
};
fetch('https://evalgate.com/api/datasets/{id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": [
{
"input": true,
"expectedOutput": true,
"labels": {},
"sourceType": "<string>",
"split": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"metadata": {},
"tags": [
"<string>"
],
"lifecycleState": "<string>",
"datasetId": "<string>",
"redactionFindings": 123,
"redactionState": "<string>",
"context": true,
"sourceRef": "<string>",
"sourceProvenance": {},
"reviewStatus": "<string>",
"fingerprint": "<string>",
"supersedesRowId": "<string>"
}
],
"duplicates": [
"<string>"
],
"failures": [
{
"line": 123,
"code": "<string>",
"message": "<string>"
}
]
}{
"accepted": [
{
"input": true,
"expectedOutput": true,
"labels": {},
"sourceType": "<string>",
"split": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"metadata": {},
"tags": [
"<string>"
],
"lifecycleState": "<string>",
"datasetId": "<string>",
"redactionFindings": 123,
"redactionState": "<string>",
"context": true,
"sourceRef": "<string>",
"sourceProvenance": {},
"reviewStatus": "<string>",
"fingerprint": "<string>",
"supersedesRowId": "<string>"
}
],
"duplicates": [
"<string>"
],
"failures": [
{
"line": 123,
"code": "<string>",
"message": "<string>"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I
Create datasets rows
